import java.sql.*;

public class IntType {

	public static void main(String args[]) throws Exception {
		Class.forName("org.postgresql.Driver");
		Connection conn = DriverManager.getConnection("jdbc:postgresql://localhost:5434/jurka","jurka","");

		Statement stmt = conn.createStatement();
		stmt.execute("CREATE TEMP TABLE inttest (a int4)");

		ResultSet rs = conn.getMetaData().getColumns(null, "", "inttest", "");
		while (rs.next()) {
			System.out.println(rs.getString("COLUMN_NAME") + " - " + rs.getString("TYPE_NAME"));
		}

		stmt.execute("ALTER TABLE inttest ADD CONSTRAINT it_pk PRIMARY KEY (a)");
		rs = conn.getMetaData().getColumns(null, "", "inttest", "");
		while (rs.next()) {
			System.out.println(rs.getString("COLUMN_NAME") + " - " + rs.getString("TYPE_NAME"));
		}
	}

}
